### Method

# Dex Future await_boxed

#### Declaration [src]

    gpointer
    dex_await_boxed (
      DexFuture* future
      GError** error
    )

#### Description [src]

Awaits on `future` and returns the `G_TYPE_BOXED` based result.

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The instance takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gpointer`

The boxed result, or `NULL` and `error` is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.